<template>
    <section class="w-double-layout">
        <div class="w-double-layout__column w-double-layout__column--left">
            <h3 class="w-double-layout__title">{{ title || $t('default.notSet') }}</h3>
            <h5 v-if="description" class="w-double-layout__description">{{ description }}</h5>
            <slot name="left" />
        </div>
        <div class="w-double-layout__column w-double-layout__column--right">
            <slot name="right" />
        </div>
    </section>
</template>
  
<script>
import {computed} from "vue";

export default {
name: 'DoubleLayoutWidget',
props: {
    title: String,
    description: String,
},

setup() {
    const currentYear = computed(() => {
        return new Date().getFullYear();
    });

    return {
        currentYear
    };
}
}
</script>

<style lang="scss" scoped>
@import '@/scss/mixins/sflx.scss';
@import '@/scss/configuration/colors.scss';

.w-double-layout {
    width: 100%;
    min-height: calc(100vh - 10rem);
    @include sflx($juscont: space-between);
    margin-bottom: 2.4rem;
}
.w-double-layout__column {
    width: 50%;
    padding-top: 1.5rem;
    &--right {
        background: $cWhiteSmoke;
        border-radius: 40px 0 0 40px;
    }
    &--left {
        padding-right: 1.6rem;
    }
}
@media screen and ( max-width: 767px ) {
    .w-double-layout {
        flex-direction: column;
        justify-content: flex-start;
    }
    .w-double-layout__column  {
        width: 100%;
        &--right {
            min-height: 361px;
            border-radius: 40px 40px 0 0;
            margin-top: 24px;
        }
    }
}
.w-footer__info {
    p {
        margin: 0;
        opacity: 0.5;
    }
}
.w-footer__logos {
    :not(:first-child) {
        margin-left: 0.8rem;
    }
    img {
        cursor: pointer;
        
        &:hover {
            opacity: 0.7;
        }
    }
}
.w-double-layout__title {
    font-size: 48px;
}
.w-double-layout__description {
    font-size: 24px;
    opacity: 0.6;
}
</style>